2019-11-23 00:13 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002697NetSurfCore-specificpublic2019-08-21 19:35
ReporterVincent Sanders 
Assigned ToDaniel Silverstone 
SeverityminorReproducibilityalways 
StatusresolvedResolutionfixed 
Product Version3.10 
Target Version3.10Fixed in Version3.10 
Summary0002697: back navigation is inconsistent
DescriptionMichael:
is it right that the back to safety button and the back button behave differently? e.g. if I open browser with welcome page, then pop badssl.com in the URL bar

on a Privacy error page, back takes me mach to welcome page, and "back to safety" takes me back to the badssl homepage

rjek:
I think they should do the same thing, which is to navigate to the previous safe page.

Kinnison:
I concur, that's a bug. back should look and if we were on an internal nav, it should reload the `current_parameters`
TagsNo tags attached.
Fixed in CI build #4837
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2019-08-16 08:10 Vincent Sanders New Issue
2019-08-16 08:10 Vincent Sanders Status new => assigned
2019-08-16 08:10 Vincent Sanders Assigned To => Daniel Silverstone
2019-08-16 08:13 Vincent Sanders Status assigned => confirmed
2019-08-21 19:35 Daniel Silverstone Status confirmed => resolved
2019-08-21 19:35 Daniel Silverstone Resolution open => fixed
2019-08-21 19:35 Daniel Silverstone Fixed in Version => 3.10
2019-08-21 19:35 Daniel Silverstone Fixed in CI build # => 4837
+Issue History